--SELECT --*
--	percent_complete, 
--	start_time, 
--	status, 
--	command, 
--	estimated_completion_time, 
--	cpu_time, 
--	total_elapsed_time
--	,wait_resource
--	,wait_time
--	,writes
--FROM 
--	sys.dm_exec_requests
--WHERE
--	--command = 'DbccFilesCompact'
--	percent_complete > 0

SELECT CASE WHEN ((estimated_completion_time/1000)/3600) < 10 THEN '0' +
CONVERT(VARCHAR(10),(estimated_completion_time/1000)/3600)
ELSE CONVERT(VARCHAR(10),(estimated_completion_time/1000)/3600)
END + ':' + 
CASE WHEN ((estimated_completion_time/1000)%3600/60) < 10 THEN '0' +
CONVERT(VARCHAR(10),(estimated_completion_time/1000)%3600/60) 
ELSE CONVERT(VARCHAR(10),(estimated_completion_time/1000)%3600/60)
END  + ':' + 
CASE WHEN ((estimated_completion_time/1000)%60) < 10 THEN '0' +
CONVERT(VARCHAR(10),(estimated_completion_time/1000)%60)
ELSE CONVERT(VARCHAR(10),(estimated_completion_time/1000)%60)
END
AS [Time Remaining],
percent_complete,
	start_time, 
	status, 
	command, 
	cpu_time, 
	total_elapsed_time
	,wait_resource
	,wait_time
	,writes
 FROM sys.dm_exec_requests
WHERE percent_complete > 0


--exec sp_who3