EXEC master.dbo.sp_foreachdb
 @command = N'
		USE ?;
		print ''**** for db ? ***''
		DECLARE @stale_days INT = -365;
		DECLARE @Statement NVARCHAR(Max);
		DECLARE updatestats CURSOR FOR
		select ''UPDATE STATISTICS ''
			   +  QUOTENAME(OBJECT_SCHEMA_NAME(s.object_id)) 
			   + N''.'' 
			   + QUOTENAME(OBJECT_NAME(s.object_id)) 
			   + '' '' + QUOTENAME(s.name)
	    FROM 
					sys.stats s 
					JOIN sys.objects o ON s.[object_id] = o.[object_id]
		WHERE 
					o.type = ''U''     --Only get indexes for User Created Tables
					AND s.name IS NOT NULL
							 AND STATS_DATE(s.[object_id], s.stats_id) < DATEADD(day,@stale_days,getdate())
		ORDER BY 
					o.name, s.name; 
		OPEN updatestats;
		FETCH NEXT FROM updatestats INTO @Statement;
		WHILE (@@FETCH_STATUS = 0)
		BEGIN
		   PRINT ''Running -> '' + @Statement;
		   EXEC sp_executesql @Statement
		   FETCH NEXT FROM updatestats INTO @Statement;
		END;
		CLOSE updatestats;
		DEALLOCATE updatestats;'
	,@user_only = 1; 



--DECLARE @stale_days INT = -360;
--DECLARE @Statement NVARCHAR(Max);
--DECLARE updatestats CURSOR FOR
--select 'UPDATE STATISTICS '
--       +  QUOTENAME(OBJECT_SCHEMA_NAME(s.object_id)) 
--       + N'.' 
--       + QUOTENAME(OBJECT_NAME(s.object_id)) 
--	   + ' ' + QUOTENAME(s.name)  
--FROM 
--            sys.stats s 
--            JOIN sys.objects o ON s.[object_id] = o.[object_id]
--WHERE 
--            o.type = 'U'     --Only get indexes for User Created Tables
--            AND s.name IS NOT NULL
--                     AND STATS_DATE(s.[object_id], s.stats_id) < DATEADD(day,@stale_days,getdate())
--ORDER BY 
--            o.name, s.name; 
--OPEN updatestats;
--FETCH NEXT FROM updatestats INTO @Statement;
--WHILE (@@FETCH_STATUS = 0)
--BEGIN
--   PRINT 'Running -> ' + @Statement;
--   EXEC sp_executesql @Statement
--   FETCH NEXT FROM updatestats INTO @Statement;
--END;
--CLOSE updatestats;
--DEALLOCATE updatestats;


--DECLARE @stale_days INT = -60;
----select 'UPDATE STATISTICS ' +  QUOTENAME(o.name) + ' ' + QUOTENAME(s.name)  

--select QUOTENAME(OBJECT_SCHEMA_NAME(s.object_id)) 
--       + N'.' 
--       + QUOTENAME(OBJECT_NAME(s.object_id))

----select *

--FROM 
--            sys.stats s 
--            JOIN sys.objects o ON s.[object_id] = o.[object_id]
--WHERE 
--            o.type = 'U'     --Only get indexes for User Created Tables
--            AND s.name IS NOT NULL
--                     AND STATS_DATE(s.[object_id], s.stats_id) < DATEADD(day,@stale_days,getdate())
--ORDER BY 
--            o.name, s.name; 




